// Vuln Validation Wizard styles
@import "css3-mixins";

#modals {
  .nexpose_console_form {
    font-size: 12px;
    margin-top: 10px;
    .connectivity {
      div {
        position: absolute;
        bottom: 19px;
        right: 16px;
      }
      .connection_success {
        display: none;
        padding-left: 20px;
        background: url(<%= image_path 'icons/silky/tick.png' %>) 0 0 no-repeat;
      }
      .connection_error {
        display: none;
        padding-left: 20px;
        background: url(<%= image_path 'icons/silky/exclamation.png' %>) 0 0 no-repeat;
      }
    }
  }
  .tabbed-modal form.formtastic.vuln_validation {
    .pull_nexpose.page {
      li#nexpose_scan_task_nexpose_purge_site_input label {
        margin-left: 20%;
      }
      .row.console {
        padding-bottom: 10px;
        li, a, label {
          display: inline-block;
          vertical-align: middle;
          margin: 0;
        }
        label {
          width: auto;
          padding-right: 10px;
          color: #000;
        }
        select {
          margin-right: 10px;
          min-width: 120px;
          height: auto;
        }
        a.green-add {
          text-align: center;
          font-size: 17px;
          font-weight: 600;
          margin-right: 3px;
          margin-left: 15px;
          &:hover~a.new {
            text-decoration: underline;
          }
        }
        a.new {
          font-size: 11px;
        }
        a.green-add, a.new {
          margin-top: 2px;
        }
      }
      .row.gather_type {
        &>li {
          margin-bottom: 0;
          border-top: 1px solid #efefef;
          padding-top: 7px;
          fieldset.choices {
            @include no-box-shadow;
            padding: 0;
            margin-bottom: 8px;
            ol.choices-group {
              padding: 0;
              max-width: none;
              li.choice {
                margin-bottom: 3px;
                input {
                  margin: 4px;
                }
                label {
                  font-weight: normal;
                }
              }
            }
          }
        }
      }
      .advanced {
        margin-bottom: 0;
        overflow: auto;
        .scan {
          padding-top: 15px;
          &.tab-loading{
            padding-top: 0px;
          }
          display: none;
          li#additional_creds_checkbox_input {
            margin-bottom: 5px;
            label {
              margin-left: 20%;
              font-size: 12px;
            }
          }
          .additional_creds_fields {
            display: none;
          }
        }
        .import {
          display: none;
          h5 {
            margin: 0;
            position: absolute;
          }
          .dataTables_filter {
            margin-bottom: 7px;
          }
          .dataTables_info {
            display: none;
          }
          table {
            width: 100%;
            input{
              /* IE 10 */
              box-sizing: content-box;
            }
          }
          .warn {
            display: none;
            span.message {
              padding: 5px 0;
              padding-left: 44px;
              background: url(<%= image_path 'icons/alert.png' %>) 0 0 no-repeat;
            }
          }
        }
        &.nexpose {
          position: relative;
          display: block;
          .tab-loading {
            width: 100%;
            height: 300px;
            margin: 0;
            .tab-loading-text{
              text-align: center;
              padding-top: 112px;
              font-size: 14px;
            }
          }
          div.empty_msg, div.warn {
            position: absolute;
            top: 50%;
            margin-top: -13px;
            left: 0;
            right: 0;
            text-align: center;
            font-size: 18px;
            color: #C0C0C0;
            @include box-shadow(0, 1px, 2px, rgba(255,255,255,.2));
          }
        }
      }
    }

    .page.tag {
      padding-top: 0;
      &>li{
        margin-top:10px;
      }
      &>li.boolean.input {
        margin-bottom: 10px;
        &>label {
          margin: 0;
          font-size: 12px;
        }
      }
      &>.advanced.custom_tag {
        font-size: 12px;
        li.boolean.input {
          margin-bottom: 0;
          &>label {
            font-size: 12px;
            margin-left: 20%;
            padding-left: 15px;
          }
        }
        textarea#tag_desc {
          width: 70%;
        }
        input#custom_tag_name {
          @include box-sizing;
        }
      }
    }

    .page.exploit {
      h5 { margin: 5px 0; }
      .row {
        li.boolean > * {
          font-size: 11px;
        }
        li#exploit_task_blacklist_string_input {
          textarea {
            width: 90%;
            height: 99px;
            font-size: 11px;
          }
        }
        li#exploit_task_minimum_rank_input {
          margin-bottom: 5px;
          label {
            color: #000;
            width: auto;
          }
          a.help {
            position: relative;
            top: 1px;
          }
        }
        .columns {
          border: 1px solid #efefef;
          border-top: 0;
          border-bottom: 0;
          li.boolean {
            margin-bottom: 0;
            label {
              margin-left: 0;
              text-align: left;
              width: 85%;
              padding-right: 5px;
            }
            input {
              margin-left: 0;
            }
          }

          &:first-child {
            padding-left: 0;
            border: 0;
          }
          &:last-child {
            border: 0;
            padding-right: 0;
          }
        }
        .right-cols {
          li.input {
            margin-bottom: 5px;
            label {
              padding-top: 2px;
              padding-right: 5px;
              font-size: 11px;
              font-weight: normal;
              width: 46%;
            }
            &.string input {
              width: 40%;
            }
          }
        }
      }

      div.advanced {
        font-size: 12px;
        padding: 10px 15px 0 15px;
        margin-top: 5px;
        li {
          margin-bottom: 10px;
          label {
            display: block;
            width: 100%;
            text-align: left;
            input{
              /* IE 10 */
              box-sizing: content-box;
            }
          }
        }
        &>.row {
          padding: 0 10px;
        }
      }
    }

    .page.create_project {
      a.advanced {
        float: right;
        margin-right: 10%;
        cursor: pointer;
        margin-bottom: 7px;
      }
      div.advanced {
        clear: both;
      }
      li#workspace_description_input {
        margin-bottom: 5px;
      }
      li label[for=workspace_name] {
        color: #000;
      }
      li.error label[for=workspace_name] {
        color: #f00;
      }
    }

    textarea {
      box-sizing: border-box;
      height: 7em;
      padding: 2px;
      background: #fff;
      &[disabled] {
        @include opacity(0.6);
      }
    }

    &>.page>li.string,&>.page>li.text {
      width: 90%;
      label, input, textarea {
        @include box-sizing(border-box);
      }
      input[type=text], input[type=password], textarea {
        width: 75%;
        border: 1px solid #cacaca;
        padding: 2px
      }
      label { width: 25%; }
    }
    &>.page.generate_report, &>.page.tag {
      padding-top: 0;
    }
    &>.page li.string,&>.page li.text, &>.page li.input {
      input[type=text], input[type=password], textarea {
        border: 1px solid #cacaca;
        padding: 2px
      }
    }

    p.inline-error {
      margin-left: 25%;
    }
  }
}
